# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType

  desc <<-DESC
  The weblogic artifacts password.

  DESC

  def change_to_s(current_value, new_value)
    'changed password from [old value redacted] to [new value redacted]'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['password']
  end
end
