# frozen_string_literal: true

newparam(:domain_name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The domain name where the security realm is located.
  DESC

  isnamevar
end
