# frozen_string_literal: true

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The full name of the credential mapper provider resource.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource['name']
  end
end
