# frozen_string_literal: true

newparam(:realm) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The name of the security realm.
  DESC

  isnamevar
  defaultto 'myrealm'
end
