# frozen_string_literal: true

newproperty(:order) do
  include EasyType

  desc <<-DESC
    The order of this credential mapper provider in the list of configured providers.
  DESC

  defaultto 1

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  to_translate_to_resource do |raw_resource|
    raw_resource['order']
  end
end
